import { BaseResource } from "./baseResource";
import { BaseListParams, Include, Sort, Tags, UnitConfig, UnitResponse } from "../types";
import { CreateApplicationFormRequest, ApplicationForm } from "../types";
import { Application } from "../types";
export declare class ApplicationForms extends BaseResource {
    constructor(token: string, basePath: string, config?: UnitConfig);
    create(request: CreateApplicationFormRequest): Promise<UnitResponse<ApplicationForm>>;
    get(applicationFormId: string): Promise<UnitResponse<ApplicationForm> & Include<Application>>;
    list(params?: ApplicationFormsListParams): Promise<UnitResponse<ApplicationForm[]>>;
}
export interface ApplicationFormsListParams extends BaseListParams {
    /**
     * Optional. Filter Applications by [Tags](https://developers.unit.co/#tags).
     * default: empty
     */
    tags?: Tags;
    /**
     * Optional. sort=period for ascending order. Provide sort=-period (leading minus sign) for descending order.
     * default: sort=-period
     */
    sort?: Sort;
}
