"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Repayments = void 0;
const baseResource_1 = require("./baseResource");
class Repayments extends baseResource_1.BaseResource {
    constructor(token, basePath, config) {
        super(token, basePath + "/repayments", config);
    }
    async create(request) {
        return this.httpPost("", { data: request });
    }
    async get(id) {
        return this.httpGet(`/${id}`);
    }
    async list(params) {
        const parameters = {
            "page[limit]": ((params === null || params === void 0 ? void 0 : params.limit) ? params.limit : 100),
            "page[offset]": ((params === null || params === void 0 ? void 0 : params.offset) ? params.offset : 0),
            ...((params === null || params === void 0 ? void 0 : params.accountId) && { "filter[accountId]": params.accountId }),
            ...((params === null || params === void 0 ? void 0 : params.creditAccountId) && { "filter[creditAccountId]": params.creditAccountId }),
            ...((params === null || params === void 0 ? void 0 : params.customerId) && { "filter[customerId]": params.customerId })
        };
        if (params === null || params === void 0 ? void 0 : params.type)
            params.type.forEach((t, idx) => {
                parameters[`filter[type][${idx}]`] = t;
            });
        if (params === null || params === void 0 ? void 0 : params.status)
            params.status.forEach((s, idx) => {
                parameters[`filter[status][${idx}]`] = s;
            });
        return this.httpGet("", { params: parameters });
    }
}
exports.Repayments = Repayments;
