import { Account, Customer, Transaction } from "../types";
import { Include, UnitConfig, UnitResponse } from "../types/common";
import { CreateRewardRequest, Reward, RewardListParams } from "../types/rewards";
import { BaseResource } from "./baseResource";
export declare class Rewards extends BaseResource {
    constructor(token: string, basePath: string, config?: UnitConfig);
    create(request: CreateRewardRequest): Promise<UnitResponse<Reward>>;
    /**
     * Optional. A comma-separated list of related resources to include in the response.
     * Related resources include: customer, account, transaction. See [Getting Related Resources](https://developers.unit.co/about-jsonapi/#intro-getting-related-resources)
     */
    get(id: string, include?: string): Promise<UnitResponse<Reward> & Include<Account[] | Customer[] | Transaction[]>>;
    list(params?: RewardListParams): Promise<UnitResponse<Reward[]> & Include<Account[] | Customer[] | Transaction[]>>;
}
