import { BaseListParams, TaxForm, UnitConfig, UnitResponse } from "../types";
import { BaseResource } from "./baseResource";
import { responseEncoding, ResponseType } from "axios";
export declare class TaxForms extends BaseResource {
    constructor(token: string, basePath: string, config?: UnitConfig);
    list(params?: TaxFormsListParams): Promise<UnitResponse<TaxForm[]>>;
    get(taxFormId: string): Promise<UnitResponse<TaxForm>>;
    getPdf(taxFormId: string, responseEncoding?: responseEncoding, responseType?: ResponseType): Promise<string>;
}
export interface TaxFormsListParams extends BaseListParams {
    /**
     * Optional. Filters the results by the specified account id.
     * default: empty
     */
    accountId?: string;
    /**
     * Optional. Filters the results by the specified customer id.
     * default: empty
     */
    customerId?: string;
    /**
     * Optional. Returns the available tax forms for one or more tax years. e.g. Usage example: filter[taxYears][0]=2023
     */
    taxYears?: string;
    /**
     * Optional. Usage example: filter[taxFormsType][0]=1099-INT
     */
    taxFormTypes?: string;
}
